catalog:
  title: Pepper RoboCup FSMT test for navigation

templates:
- runnable
- base

variables:
  description: >-
    Pepper RoboCup FSMT test for navigation. 5 Nav goals must be
    reached within 10 minutes
  keywords:
  - python
  - fsmt
  - programming language
  - testing
  - integrations tests
  - activity recognition
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de
  runnable: true
  access: private

  branches:
  - master

  shell.command: |
    # Grant Access to the display
    export DISPLAY=:0.0;
    # Source ROS
    . ${toolkit.dir}/setup.sh;
    # Extend Pythonpath
    export PYTHONPATH=$PYTHONPATH:${toolkit.dir}/lib/python2.7/site-packages
    export VDEMO_SERVER_KEY=citesting
    # Export the prefix
    export prefix=${toolkit.dir}
    # Start the test
    $prefix/bin/fsmt -o $WORKSPACE --nocolour --disablehardwarereport ${toolkit.dir}/etc/fsmt-experiments/pepper-fsmt/navigation_reach_navgoal.scxml
